var searchData=
[
  ['s_20deque_0',['A minimal example on STXXL&apos;s deque',['../tutorial_deque.html#autotoc_md90',1,'']]],
  ['s_20matrix_1',['A minimal working example of STXXL&apos;s Matrix',['../tutorial_matrix.html#autotoc_md101',1,'']]],
  ['s_20priority_20queue_2',['A minimal working example of STXXL&apos;s priority queue',['../tutorial_pqueue.html#autotoc_md105',1,'']]],
  ['s_20queue_3',['A minimal working example of STXXL&apos;s queue',['../tutorial_queue.html#autotoc_md109',1,'']]],
  ['s_20sequence_4',['A minimal working example on STXXL&apos;s sequence',['../tutorial_sequence.html#autotoc_md115',1,'']]],
  ['s_20sorter_5',['A minimal working example of STXXL&apos;s sorter',['../tutorial_sorter.html#autotoc_md121',1,'']]],
  ['s_20stack_6',['A minimal working example of STXXL&apos;s stack',['../tutorial_stack.html#autotoc_md125',1,'']]],
  ['s_20vector_7',['A minimal working example of STXXL&apos;s vector',['../tutorial_vector.html#autotoc_md135',1,'']]],
  ['safety_8',['Thread-Safety',['../faq.html#faq_threadsafe',1,'']]],
  ['scanning_20algorithms_9',['Scanning Algorithms',['../design_stl_algo.html#autotoc_md19',1,'']]],
  ['scheduling_10',['Disk Scheduling',['../design_algo_sorting.html#design_algo_sorting_scheduling',1,'']]],
  ['semantics_11',['Expression semantics',['../design_pipeline.html#autotoc_md66',1,'']]],
  ['semaphores_12',['Semaphores',['../common_thread_sync.html#semaphore',1,'']]],
  ['sequence_13',['sequence',['../tutorial_sequence.html#autotoc_md115',1,'A minimal working example on STXXL&apos;s sequence'],['../tutorial_sequence.html#autotoc_md110',1,'Create a STXXL sequence'],['../design_sequence.html',1,'Sequence'],['../tutorial_sequence.html',1,'STXXL Sequence']]],
  ['sequence_20is_20empty_14',['Determine size / Check whether the sequence is empty',['../tutorial_sequence.html#autotoc_md114',1,'']]],
  ['sequential_20reading_20and_20writing_20to_20vectors_15',['Efficient Sequential Reading and Writing to Vectors',['../tutorial_vector_buf.html',1,'tutorial']]],
  ['serializing_20variable_20data_20structures_20with_20binary_5fbuffer_16',['Serializing Variable Data Structures with binary_buffer',['../common_binary_buffer.html',1,'common']]],
  ['sets_17',['Algorithm Engineering for Large Data Sets',['../introduction.html#introduction_algorithm_engineering',1,'']]],
  ['shared_20objects_18',['Reference Counted (Shared) Objects',['../common_counting_ptr.html',1,'common']]],
  ['signed_20and_20unsigned_20integer_20types_19',['Signed and Unsigned Integer Types',['../common_types.html',1,'common']]],
  ['simple_20example_20',['Abstraction, Interface and a Simple Example',['../tutorial_stream.html#stream1',1,'']]],
  ['simple_20projects_20in_20local_21',['First-Time Compile and Simple Projects in local/',['../install_unix.html#install_unix_local',1,'']]],
  ['simpler_20vector_22',['A Non-growing, Non-initializing Simpler Vector',['../common_simple_vector.html',1,'common']]],
  ['size_20check_20whether_20queue_20is_20empty_23',['Determine size / Check whether queue is empty',['../tutorial_queue.html#autotoc_md108',1,'']]],
  ['size_20check_20whether_20stack_20is_20empty_24',['Determine size  / Check whether stack is empty',['../tutorial_stack.html#autotoc_md124',1,'']]],
  ['size_20check_20whether_20the_20deque_20is_20empty_25',['Determine size / Check whether the deque is empty',['../tutorial_deque.html#autotoc_md89',1,'']]],
  ['size_20check_20whether_20the_20map_20is_20empty_26',['size check whether the map is empty',['../tutorial_map.html#autotoc_md95',1,'Determine size / Check whether the map is empty'],['../tutorial_sorter.html#autotoc_md120',1,'Determine size / Check whether the map is empty']]],
  ['size_20check_20whether_20the_20priority_20queue_20is_20empty_27',['Determine size / Check whether the priority queue is empty',['../tutorial_pqueue.html#autotoc_md104',1,'']]],
  ['size_20check_20whether_20the_20sequence_20is_20empty_28',['Determine size / Check whether the sequence is empty',['../tutorial_sequence.html#autotoc_md114',1,'']]],
  ['size_20check_20whether_20vector_20is_20empty_29',['Determine size / Check whether vector is empty',['../tutorial_vector.html#autotoc_md134',1,'']]],
  ['size_20of_20matrix_30',['Determine size of matrix',['../tutorial_matrix.html#autotoc_md99',1,'']]],
  ['sort_20with_20overlapped_20i_20os_31',['Multi-way Merge Sort with Overlapped I/Os',['../design_algo_sorting.html#design_algo_sorting_overlapping',1,'']]],
  ['sorted_20elements_32',['Access sorted elements',['../tutorial_sorter.html#autotoc_md119',1,'']]],
  ['sorted_20order_20checking_33',['Sorted Order Checking',['../design_algo_sort.html#autotoc_md30',1,'']]],
  ['sorter_34',['sorter',['../tutorial_sorter.html#autotoc_md121',1,'A minimal working example of STXXL&apos;s sorter'],['../tutorial_sorter.html#autotoc_md116',1,'Create a STXXL sorter'],['../design_sorter.html',1,'Sorter'],['../tutorial_sorter.html',1,'STXXL Sorter']]],
  ['sorting_35',['Parallel Disk Sorting',['../design_algo_sorting.html',1,'design_stl_algo']]],
  ['sorting_20all_20elements_36',['Sorting all elements',['../tutorial_sorter.html#autotoc_md118',1,'']]],
  ['sorting_20as_20provided_20by_20the_20stream_20package_37',['Sorting As Provided by the Stream Package',['../tutorial_stream.html#stream4',1,'']]],
  ['sorting_20comparison_20based_38',['stxxl::sort &amp;ndash; Sorting Comparison-Based',['../design_algo_sort.html',1,'design_stl_algo']]],
  ['sorting_20integer_20keys_39',['stxxl::ksort &amp;ndash; Sorting Integer Keys',['../design_algo_ksort.html',1,'design_stl_algo']]],
  ['sorting_20methods_40',['Benchmark Sorting Methods',['../stxxl_tool.html#benchmark_sort',1,'']]],
  ['source_20code_41',['source code',['../install_windows.html#autotoc_md70',1,'Unpack STXXL source code'],['../install_windows_boost.html#autotoc_md75',1,'Unpack STXXL source code']]],
  ['stack_42',['stack',['../tutorial_stack.html#autotoc_md125',1,'A minimal working example of STXXL&apos;s stack'],['../tutorial_stack.html#autotoc_md122',1,'Creating a STXXL stack'],['../design_stack.html',1,'Stack'],['../tutorial_stack.html',1,'STXXL Stack']]],
  ['stack_20is_20empty_43',['Determine size  / Check whether stack is empty',['../tutorial_stack.html#autotoc_md124',1,'']]],
  ['standard_20template_20library_44',['C++ Standard Template Library',['../introduction.html#introduction_stl',1,'']]],
  ['started_3a_20building_20and_20tutorial_45',['Getting Started: Building and Tutorial',['../index.html#autotoc_md79',1,'']]],
  ['state_20and_20onoff_20switch_46',['Further Primitives: State and OnOff-Switch',['../common_thread_sync.html#further',1,'']]],
  ['stl_20code_47',['STL Code',['../tutorial_vector_billing.html#autotoc_md136',1,'']]],
  ['stl_20user_20layer_48',['stl user layer',['../group__stllayer.html',1,'STL-User Layer'],['../design_stl.html',1,'The STL-User Layer'],['../design.html#autotoc_md3',1,'The STL-User Layer']]],
  ['stream_20objects_20together_49',['Pipelining: Plugging Stream Objects Together',['../tutorial_stream.html#stream2',1,'']]],
  ['stream_20package_50',['stream package',['../tutorial_stream.html#stream3',1,'Miscellaneous Utilities Provided by the Stream Package'],['../tutorial_stream.html#stream4',1,'Sorting As Provided by the Stream Package'],['../group__streampack.html',1,'Stream Package'],['../tutorial_stream.html',1,'Tutorial for the Stream Package']]],
  ['streaming_20layer_51',['Streaming Layer',['../design_pipeline.html#design_pipeline_streaming',1,'']]],
  ['streams_52',['Generating Random Graphs using Streams',['../tutorial_stream_edgesort.html',1,'tutorial']]],
  ['strictweakordering_20comparison_20concept_53',['StrictWeakOrdering Comparison Concept',['../design_algo_sort.html#StrictWeakOrdering',1,'']]],
  ['structures_54',['structures',['../faq.html#faq_nonPODs',1,'References to Elements in External Memory Data Structures'],['../install_config.html#install_config_user',1,'User-Supplied disk_config Structures']]],
  ['structures_20with_20binary_5fbuffer_55',['Serializing Variable Data Structures with binary_buffer',['../common_binary_buffer.html',1,'common']]],
  ['studio_202010_20and_20boost_56',['Compiling and Installing STXXL with Visual Studio 2010 and Boost',['../install_windows_boost.html',1,'install']]],
  ['studio_202012_20and_20newer_20without_20boost_57',['Compiling and Installing STXXL with Visual Studio 2012 and newer (without Boost)',['../install_windows.html',1,'install']]],
  ['studio_20projects_58',['studio projects',['../install_windows.html#autotoc_md71',1,'Use CMake to Generate Visual Studio Projects'],['../install_windows_boost.html#autotoc_md77',1,'Use CMake to Generate Visual Studio Projects']]],
  ['studio_20to_20build_20stxxl_59',['studio to build stxxl',['../install_windows.html#autotoc_md72',1,'Use Visual Studio to Build STXXL'],['../install_windows_boost.html#autotoc_md78',1,'Use Visual Studio to Build STXXL']]],
  ['stxxl_60',['stxxl',['../design.html',1,'Design of STXXL'],['../tutorial_vector_billing.html#autotoc_md137',1,'Going Large &amp;ndash; Use STXXL'],['../introduction.html#introduction_goals',1,'The Goals of STXXL'],['../install_windows_boost.html#autotoc_md78',1,'Use Visual Studio to Build STXXL'],['../install_windows.html#autotoc_md72',1,'Use Visual Studio to Build STXXL'],['../index.html',1,'Welcome to STXXL']]],
  ['stxxl_20algorithms_61',['STXXL Algorithms',['../design_stl_algo.html',1,'design_stl']]],
  ['stxxl_20and_20thus_20foster_20its_20development_62',['How can I credit STXXL, and thus foster its development?',['../faq.html#faq_credit',1,'']]],
  ['stxxl_20as_20a_20cmake_20subproject_63',['Including STXXL as a CMake Subproject',['../install_unix.html#install_unix_subproject',1,'']]],
  ['stxxl_20as_20a_20library_64',['Including STXXL as a Library',['../install_unix.html#install_unix_library',1,'']]],
  ['stxxl_20as_20a_20library_20inside_20a_20project_65',['Using STXXL as a Library inside a Project',['../install_windows.html#autotoc_md73',1,'']]],
  ['stxxl_20containers_66',['stxxl containers',['../tutorial.html#autotoc_md83',1,'Available tutorials on STXXL Containers'],['../design_stl_containers.html#General',1,'Issues Concerning STXXL Containers'],['../faq.html#faq_templateparam',1,'Parameterizing STXXL Containers'],['../design_stl_containers.html#autotoc_md6',1,'STXXL Containers'],['../design_stl_containers.html',1,'STXXL Containers']]],
  ['stxxl_20deque_67',['stxxl deque',['../tutorial_deque.html#autotoc_md85',1,'Creating a STXXL deque'],['../tutorial_deque.html',1,'STXXL Deque']]],
  ['stxxl_20in_20a_20microsoft_20clr_20library_68',['STXXL in a Microsoft CLR Library',['../faq.html#faq_msclr',1,'']]],
  ['stxxl_20map_69',['stxxl map',['../tutorial_map.html#autotoc_md96',1,'A minimal working example on STXXL Map'],['../tutorial_map.html#autotoc_md91',1,'Creating a STXXL Map']]],
  ['stxxl_20map_20b_20tree_70',['STXXL Map (B+-tree)',['../tutorial_map.html',1,'tutorial']]],
  ['stxxl_20matrix_71',['stxxl matrix',['../tutorial_matrix.html#autotoc_md97',1,'Create a STXXL Matrix'],['../tutorial_matrix.html',1,'STXXL Matrix']]],
  ['stxxl_20on_20linux_20unix_20variants_72',['Compiling and Installing STXXL on Linux/Unix Variants',['../install_unix.html',1,'install']]],
  ['stxxl_20priority_20queue_73',['stxxl priority queue',['../tutorial_pqueue.html#autotoc_md102',1,'Creating a STXXL priority queue'],['../tutorial_pqueue.html',1,'STXXL Priority Queue']]],
  ['stxxl_20queue_74',['stxxl queue',['../tutorial_queue.html#autotoc_md106',1,'Creating a STXXL queue'],['../tutorial_queue.html',1,'STXXL Queue']]],
  ['stxxl_20s_20deque_75',['A minimal example on STXXL&apos;s deque',['../tutorial_deque.html#autotoc_md90',1,'']]],
  ['stxxl_20s_20matrix_76',['A minimal working example of STXXL&apos;s Matrix',['../tutorial_matrix.html#autotoc_md101',1,'']]],
  ['stxxl_20s_20priority_20queue_77',['A minimal working example of STXXL&apos;s priority queue',['../tutorial_pqueue.html#autotoc_md105',1,'']]],
  ['stxxl_20s_20queue_78',['A minimal working example of STXXL&apos;s queue',['../tutorial_queue.html#autotoc_md109',1,'']]],
  ['stxxl_20s_20sequence_79',['A minimal working example on STXXL&apos;s sequence',['../tutorial_sequence.html#autotoc_md115',1,'']]],
  ['stxxl_20s_20sorter_80',['A minimal working example of STXXL&apos;s sorter',['../tutorial_sorter.html#autotoc_md121',1,'']]],
  ['stxxl_20s_20stack_81',['A minimal working example of STXXL&apos;s stack',['../tutorial_stack.html#autotoc_md125',1,'']]],
  ['stxxl_20s_20vector_82',['A minimal working example of STXXL&apos;s vector',['../tutorial_vector.html#autotoc_md135',1,'']]],
  ['stxxl_20sequence_83',['stxxl sequence',['../tutorial_sequence.html#autotoc_md110',1,'Create a STXXL sequence'],['../tutorial_sequence.html',1,'STXXL Sequence']]],
  ['stxxl_20sorter_84',['stxxl sorter',['../tutorial_sorter.html#autotoc_md116',1,'Create a STXXL sorter'],['../tutorial_sorter.html',1,'STXXL Sorter']]],
  ['stxxl_20source_20code_85',['stxxl source code',['../install_windows_boost.html#autotoc_md75',1,'Unpack STXXL source code'],['../install_windows.html#autotoc_md70',1,'Unpack STXXL source code']]],
  ['stxxl_20stack_86',['stxxl stack',['../tutorial_stack.html#autotoc_md122',1,'Creating a STXXL stack'],['../tutorial_stack.html',1,'STXXL Stack']]],
  ['stxxl_20unordered_20map_87',['stxxl unordered map',['../tutorial_unordered_map.html#autotoc_md129',1,'A minimal working example on STXXL Unordered Map'],['../tutorial_unordered_map.html#autotoc_md127',1,'Creating a STXXL Unordered Map']]],
  ['stxxl_20unordered_20map_20hash_20map_88',['STXXL Unordered Map (Hash Map)',['../tutorial_unordered_map.html',1,'tutorial']]],
  ['stxxl_20vector_89',['stxxl vector',['../tutorial_vector.html#autotoc_md130',1,'Creating a STXXL vector'],['../tutorial_vector.html',1,'STXXL Vector']]],
  ['stxxl_20with_20visual_20studio_202010_20and_20boost_90',['Compiling and Installing STXXL with Visual Studio 2010 and Boost',['../install_windows_boost.html',1,'install']]],
  ['stxxl_20with_20visual_20studio_202012_20and_20newer_20without_20boost_91',['Compiling and Installing STXXL with Visual Studio 2012 and newer (without Boost)',['../install_windows.html',1,'install']]],
  ['stxxl_3a_3afind_92',['stxxl::find',['../design_algo_find.html',1,'design_stl_algo']]],
  ['stxxl_3a_3afor_5feach_93',['stxxl::for_each',['../design_algo_foreach.html',1,'design_stl_algo']]],
  ['stxxl_3a_3afor_5feach_5fm_20mutating_94',['stxxl::for_each_m (mutating)',['../design_algo_foreachm.html',1,'design_stl_algo']]],
  ['stxxl_3a_3agenerate_95',['stxxl::generate',['../design_algo_generate.html',1,'design_stl_algo']]],
  ['stxxl_3a_3agrow_5fshrink_5fstack_96',['stxxl::grow_shrink_stack',['../design_stack.html#autotoc_md10',1,'Internal Memory Consumption of stxxl::grow_shrink_stack'],['../design_stack.html#autotoc_md11',1,'Members of stxxl::grow_shrink_stack'],['../design_stack.html#design_stack_grow_shrink',1,'stxxl::grow_shrink_stack']]],
  ['stxxl_3a_3agrow_5fshrink_5fstack2_97',['stxxl::grow_shrink_stack2',['../design_stack.html#autotoc_md17',1,'Example for stxxl::grow_shrink_stack2'],['../design_stack.html#autotoc_md12',1,'Internal Memory Consumption of stxxl::grow_shrink_stack2'],['../design_stack.html#autotoc_md13',1,'Members of stxxl::grow_shrink_stack2'],['../design_stack.html#design_stack_grow_shrink2',1,'stxxl::grow_shrink_stack2']]],
  ['stxxl_3a_3aksort_20ndash_20sorting_20integer_20keys_98',['stxxl::ksort &amp;ndash; Sorting Integer Keys',['../design_algo_ksort.html',1,'design_stl_algo']]],
  ['stxxl_3a_3amigrating_5fstack_99',['stxxl::migrating_stack',['../design_stack.html#autotoc_md14',1,'Internal Memory Consumption of stxxl::migrating_stack'],['../design_stack.html#autotoc_md15',1,'Members of stxxl::migrating_stack'],['../design_stack.html#design_stack_grow_migrating',1,'stxxl::migrating_stack']]],
  ['stxxl_3a_3anormal_5fstack_100',['stxxl::normal_stack',['../design_stack.html#autotoc_md9',1,'Internal Memory Consumption of stxxl::normal_stack'],['../design_stack.html#design_stack_normal',1,'stxxl::normal_stack']]],
  ['stxxl_3a_3apriority_5fqueue_101',['Internal Memory Consumption of stxxl::priority_queue',['../design_pqueue.html#design_pqueue_memory',1,'']]],
  ['stxxl_3a_3apriority_5fqueue_5fgenerator_102',['stxxl::PRIORITY_QUEUE_GENERATOR',['../design_pqueue.html#design_pqueue_generator',1,'']]],
  ['stxxl_3a_3asort_103',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['stxxl_3a_3asort_20ndash_20sorting_20comparison_20based_104',['stxxl::sort &amp;ndash; Sorting Comparison-Based',['../design_algo_sort.html',1,'design_stl_algo']]],
  ['stxxl_3a_3astack_5fgenerator_105',['stxxl::STACK_GENERATOR',['../design_stack.html#design_stack_generator',1,'']]],
  ['stxxl_3a_3avector_106',['stxxl::vector',['../design_vector.html#design_vector_memory',1,'Internal Memory Consumption of stxxl::vector'],['../design_vector.html#design_vector_architecture',1,'The Architecture of stxxl::vector']]],
  ['stxxl_3a_3avector_20and_20stxxl_3a_3asort_107',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['stxxl_3a_3avector_5fgenerator_108',['stxxl::VECTOR_GENERATOR',['../design_vector.html#design_vector_generator',1,'']]],
  ['stxxl_5fbegin_5fnamespace_109',['STXXL_BEGIN_NAMESPACE',['../common_misc_macros.html#namespaces',1,'']]],
  ['stxxl_5fcheck_110',['Assertions in Unit Tests: STXXL_CHECK',['../common_assert.html#autotoc_md1',1,'']]],
  ['stxxl_5fmsg_111',['Logging Macros STXXL_MSG',['../common_logging.html',1,'common']]],
  ['stxxl_5fstatic_5fassert_112',['Compile-time Assertions: STXXL_STATIC_ASSERT',['../common_assert.html#autotoc_md0',1,'']]],
  ['stxxl_5ftool_20collection_113',['stxxl_tool Collection',['../stxxl_tool.html',1,'index']]],
  ['stxxl_5funused_114',['STXXL_UNUSED',['../common_misc_macros.html#unused',1,'']]],
  ['style_20guidelines_115',['Coding Style Guidelines',['../coding_style.html',1,'index']]],
  ['subproject_116',['Including STXXL as a CMake Subproject',['../install_unix.html#install_unix_subproject',1,'']]],
  ['suffixes_117',['Parsing Filesizes with K, M, G suffixes',['../common_misc_funcs.html#parse_filesize',1,'']]],
  ['supplied_20disk_5fconfig_20structures_118',['User-Supplied disk_config Structures',['../install_config.html#install_config_user',1,'']]],
  ['support_20classes_119',['Common Utilities and Support Classes',['../group__support.html',1,'']]],
  ['supported_20compilers_20and_20platforms_120',['Supported Compilers and Platforms',['../faq.html#faq_compilers',1,'']]],
  ['switch_121',['Further Primitives: State and OnOff-Switch',['../common_thread_sync.html#further',1,'']]],
  ['synchronization_20primitives_20for_20multi_20threading_122',['Synchronization Primitives for Multi-Threading',['../common_thread_sync.html',1,'common']]],
  ['system_20for_20phone_20calls_20stxxl_3a_3avector_20and_20stxxl_3a_3asort_123',['A Billing System for Phone Calls (stxxl::vector and stxxl::sort)',['../tutorial_vector_billing.html',1,'tutorial']]],
  ['system_20xfs_20or_20raw_20block_20devices_124',['Recommended: File System XFS or Raw Block Devices',['../install_config.html#install_config_filesystem',1,'']]]
];
