var searchData=
[
  ['o_20and_20merging_0',['Overlapping I/O and Merging',['../design_algo_sorting.html#design_algo_sorting_merging',1,'']]],
  ['o_20efficient_20algorithms_20and_20models_1',['I/O-efficient Algorithms and Models',['../introduction.html#introduction_io_model',1,'']]],
  ['o_20performance_20counter_2',['I/O Performance Counter',['../common_io_counter.html',1,'common']]],
  ['o_20primitives_20layer_3',['o primitives layer',['../group__iolayer.html',1,'I/O Primitives Layer'],['../design.html#aio_layer',1,'The Asynchronous I/O primitives Layer']]],
  ['objects_4',['Reference Counted (Shared) Objects',['../common_counting_ptr.html',1,'common']]],
  ['objects_20together_5',['Pipelining: Plugging Stream Objects Together',['../tutorial_stream.html#stream2',1,'']]],
  ['of_20matrix_6',['Determine size of matrix',['../tutorial_matrix.html#autotoc_md99',1,'']]],
  ['of_20stxxl_7',['of stxxl',['../design.html',1,'Design of STXXL'],['../introduction.html#introduction_goals',1,'The Goals of STXXL']]],
  ['of_20stxxl_20s_20matrix_8',['A minimal working example of STXXL&apos;s Matrix',['../tutorial_matrix.html#autotoc_md101',1,'']]],
  ['of_20stxxl_20s_20priority_20queue_9',['A minimal working example of STXXL&apos;s priority queue',['../tutorial_pqueue.html#autotoc_md105',1,'']]],
  ['of_20stxxl_20s_20queue_10',['A minimal working example of STXXL&apos;s queue',['../tutorial_queue.html#autotoc_md109',1,'']]],
  ['of_20stxxl_20s_20sorter_11',['A minimal working example of STXXL&apos;s sorter',['../tutorial_sorter.html#autotoc_md121',1,'']]],
  ['of_20stxxl_20s_20stack_12',['A minimal working example of STXXL&apos;s stack',['../tutorial_stack.html#autotoc_md125',1,'']]],
  ['of_20stxxl_20s_20vector_13',['A minimal working example of STXXL&apos;s vector',['../tutorial_vector.html#autotoc_md135',1,'']]],
  ['of_20stxxl_3a_3agrow_5fshrink_5fstack_14',['of stxxl::grow_shrink_stack',['../design_stack.html#autotoc_md10',1,'Internal Memory Consumption of stxxl::grow_shrink_stack'],['../design_stack.html#autotoc_md11',1,'Members of stxxl::grow_shrink_stack']]],
  ['of_20stxxl_3a_3agrow_5fshrink_5fstack2_15',['of stxxl::grow_shrink_stack2',['../design_stack.html#autotoc_md12',1,'Internal Memory Consumption of stxxl::grow_shrink_stack2'],['../design_stack.html#autotoc_md13',1,'Members of stxxl::grow_shrink_stack2']]],
  ['of_20stxxl_3a_3amigrating_5fstack_16',['of stxxl::migrating_stack',['../design_stack.html#autotoc_md14',1,'Internal Memory Consumption of stxxl::migrating_stack'],['../design_stack.html#autotoc_md15',1,'Members of stxxl::migrating_stack']]],
  ['of_20stxxl_3a_3anormal_5fstack_17',['Internal Memory Consumption of stxxl::normal_stack',['../design_stack.html#autotoc_md9',1,'']]],
  ['of_20stxxl_3a_3apriority_5fqueue_18',['Internal Memory Consumption of stxxl::priority_queue',['../design_pqueue.html#design_pqueue_memory',1,'']]],
  ['of_20stxxl_3a_3avector_19',['of stxxl::vector',['../design_vector.html#design_vector_memory',1,'Internal Memory Consumption of stxxl::vector'],['../design_vector.html#design_vector_architecture',1,'The Architecture of stxxl::vector']]],
  ['of_20this_20faq_20',['Latest version of this FAQ',['../faq.html#faq_latest',1,'']]],
  ['on_20linux_20unix_20variants_21',['Compiling and Installing STXXL on Linux/Unix Variants',['../install_unix.html',1,'install']]],
  ['on_20multiple_20disks_22',['Disk Allocation on Multiple Disks',['../faq.html#faq_diskalloc',1,'']]],
  ['on_20stxxl_20containers_23',['Available tutorials on STXXL Containers',['../tutorial.html#autotoc_md83',1,'']]],
  ['on_20stxxl_20map_24',['A minimal working example on STXXL Map',['../tutorial_map.html#autotoc_md96',1,'']]],
  ['on_20stxxl_20s_20deque_25',['A minimal example on STXXL&apos;s deque',['../tutorial_deque.html#autotoc_md90',1,'']]],
  ['on_20stxxl_20s_20sequence_26',['A minimal working example on STXXL&apos;s sequence',['../tutorial_sequence.html#autotoc_md115',1,'']]],
  ['on_20stxxl_20unordered_20map_27',['A minimal working example on STXXL Unordered Map',['../tutorial_unordered_map.html#autotoc_md129',1,'']]],
  ['on_20types_28',['on types',['../design_algo_sort.html#autotoc_md23',1,'Requirements on Types'],['../design_algo_find.html#autotoc_md60',1,'Requirements on types'],['../design_algo_ksort.html#autotoc_md33',1,'Requirements on Types'],['../design_algo_generate.html#autotoc_md42',1,'Requirements on types'],['../design_algo_foreachm.html#autotoc_md54',1,'Requirements on types'],['../design_algo_foreach.html#autotoc_md48',1,'Requirements on types']]],
  ['onoff_20switch_29',['Further Primitives: State and OnOff-Switch',['../common_thread_sync.html#further',1,'']]],
  ['operations_30',['Matrix Operations',['../tutorial_matrix.html#autotoc_md100',1,'']]],
  ['options_20for_20build_20configuration_31',['Options for Build Configuration',['../install_build_options.html',1,'install']]],
  ['or_20raw_20block_20devices_32',['Recommended: File System XFS or Raw Block Devices',['../install_config.html#install_config_filesystem',1,'']]],
  ['order_20checking_33',['Sorted Order Checking',['../design_algo_sort.html#autotoc_md30',1,'']]],
  ['os_34',['Multi-way Merge Sort with Overlapped I/Os',['../design_algo_sorting.html#design_algo_sorting_overlapping',1,'']]],
  ['overlapped_20i_20os_35',['Multi-way Merge Sort with Overlapped I/Os',['../design_algo_sorting.html#design_algo_sorting_overlapping',1,'']]],
  ['overlapping_20i_20o_20and_20merging_36',['Overlapping I/O and Merging',['../design_algo_sorting.html#design_algo_sorting_merging',1,'']]]
];
